FENCE_AGENT(8)

NAME
fence_compute - Fence agent for the automatic resurrection of OpenStack compute instances

DESCRIPTION

Used to tell Nova that compute nodes are down and to reschedule flagged instances

The fence agent accepts options on the command line as well as from stdin. Fenced sends parameters through stdin when it execs the agent. The agent can be run by itself with command line options. This is useful for testing and for turning outlets on or off from scripts.

Vendor URL:

PARAMETERS

-o, --action=[action]
    Fencing action (Default Value: off)

-k, --auth-url=[url]
    Keystone Admin Auth URL (Default Value: )

-e, --endpoint-type=[endpoint]
    Nova Endpoint type (Default Value: internalURL)

-p, --password=[password]
    Login password or passphrase

-S, --password-script=[script]
    Script to run to retrieve password

-n, --plug=[id]
    Physical plug number on device, UUID or identification of machine This parameter is always required.

--region-name=[region]
    Region Name (Default Value: )

-t, --tenant-name=[name]
    Keystone Admin Tenant or v3 Project (Default Value: )

-l, --username=[name]
    Login name

--insecure
    Allow Insecure TLS Requests

-P, --project-domain=[name]
    Keystone v3 Project Domain (Default Value: Default)

-u, --user-domain=[name]
    Keystone v3 User Domain (Default Value: Default)

-d, --domain=[string]
    DNS domain in which hosts live

--instance-filtering
    Allow instances to be evacuated (Default Value: True)

--no-shared-storage
    Disable functionality for dealing with shared storage (Default Value: False)

--record-only
    Only record the target as needing evacuation (Default Value: False)

--compute-domain=[string]
    Replaced by domain

-q, --quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

-v, --verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

--verbose-level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

-D, --debug-file=[debugfile]
    Write debug information to given file

-V, --version
    Display version information and exit

-h, --help
    Display help and exit

--plug-separator=[char]
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

-C, --separator=[char]
    Separator for CSV created by 'list' operation (Default Value: ,)

--delay=[seconds]
    Wait X seconds before fencing is started (Default Value: 0)

--disable-timeout=[true/false]
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

--login-timeout=[seconds]
    Wait X seconds for cmd prompt after login (Default Value: 5)

--power-timeout=[seconds]
    Test X seconds for status change after ON/OFF (Default Value: 20)

--power-wait=[seconds]
    Wait X seconds after issuing ON/OFF (Default Value: 0)

--shell-timeout=[seconds]
    Wait X seconds for cmd prompt after issuing command (Default Value: 180)

--stonith-status-sleep=[seconds]
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

--retry-on=[attempts]
    Count of attempts to retry power on (Default Value: 1)

ACTIONS

on  Power on machine.

off Power off machine.

status
    This returns the status of the plug/virtual machine.

list
    List available plugs with aliases/virtual machines if there is support for more then one device. Returns N/A otherwise.

list-status
    List available plugs with aliases/virtual machines and their power state if it can be obtained without additional commands.

monitor
    Check the health of fence device

metadata
    Display the XML metadata describing this resource.

manpage
     The operational behavior of this is not known.

validate-all
    Validate if all required parameters are entered.

STDIN PARAMETERS

action
    Fencing action (Default Value: off)

auth_url
    Keystone Admin Auth URL (Default Value: )

endpoint_type
    Nova Endpoint type (Default Value: internalURL)

password
    Login password or passphrase Obsoletes: passwd

password_script
    Script to run to retrieve password Obsoletes: passwd_script

plug
    Physical plug number on device, UUID or identification of machine This parameter is always required. Obsoletes: port

region_name
    Region Name (Default Value: )

tenant_name
    Keystone Admin Tenant or v3 Project (Default Value: )

username
    Login name Obsoletes: login

insecure
    Allow Insecure TLS Requests

project_domain
    Keystone v3 Project Domain (Default Value: Default) Obsoletes: project-domain

user_domain
    Keystone v3 User Domain (Default Value: Default) Obsoletes: user-domain

domain
    DNS domain in which hosts live

instance_filtering
    Allow instances to be evacuated (Default Value: True)

no_shared_storage
    Disable functionality for dealing with shared storage (Default Value: False)

record_only
    Only record the target as needing evacuation (Default Value: False)

compute_domain
    Replaced by domain Obsoletes: compute-domain

quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

verbose_level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

debug_file
    Write debug information to given file Obsoletes: debug

version
    Display version information and exit

help
    Display help and exit

plug_separator
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

separator
    Separator for CSV created by 'list' operation (Default Value: ,)

delay
    Wait X seconds before fencing is started (Default Value: 0)

disable_timeout
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

login_timeout
    Wait X seconds for cmd prompt after login (Default Value: 5)

power_timeout
    Test X seconds for status change after ON/OFF (Default Value: 20)

power_wait
    Wait X seconds after issuing ON/OFF (Default Value: 0)

shell_timeout
    Wait X seconds for cmd prompt after issuing command (Default Value: 180)

stonith_status_sleep
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

retry_on
    Count of attempts to retry power on (Default Value: 1)